package com.simonstl.midp.xml;

import com.simonstl.midp.tam.*; 
/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/
/**
 *
 * A basic class for holding namespace-qualified names.
 *
 * @author  simonstl
 */
public class TAMName {
    
    protected String uri = "";
    
    protected String name = "";
    
    protected String prefix = "";
    
    /** Creates a new instance of TAMName */
    public TAMName() {
    }
    
    public String getUri() {
        return uri;
    }
    
    public void setUri(String _uri) {
        uri=_uri;
    }
    
    public String getLocalName() {
        return name;
    }
    
    public void setLocalName(String _name) {
        name=_name;
    }
    
    public String getQName() {
        
        if (prefix.equals("")){
            return name;
        } else {
            return prefix+":"+name;
        }
    }
    
   
    public void setPrefix(String _prefix) {
        prefix=_prefix;
    }
    
    public String getPrefix() {
        return prefix;
    }

}