package com.simonstl.midp.xml;

import com.simonstl.midp.tam.*; 
/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
 * A no-op set of handlers that can be used for easy and more complete handling of TAM events.
 *
 * @author  simonstl
 */
public class TAMHandlerImpl implements TamHandler {
    
    /** Creates a new instance of TAMHandlerImpl */
    public TAMHandlerImpl() {
    }
    
    public void characters(char[] buf, int offset, int length) throws TAMException {
    }
    
    public void comment(char[] ch, int start, int length) throws TAMException {
    }
    
    public void doctype(char[] buf, int offset, int length) throws TAMException {
    }
    
    public void endCDATA() throws TAMException {
    }

    public void endDocument() throws TAMException {
    }
    
    public void endElement(String uri, String localName, String qName) throws TAMException {
    }
    
    public void error(TAMException x) throws TAMException {
    }
    
    public void fatalError(TAMException x) throws TAMException {
    }
    
    public void processingInstruction(String target, String data) throws TAMException {
    }
    
    public void skippedEntity(String name) throws TAMException {
    }
    
    public void startCDATA() throws TAMException {
    }
    
    public void startDocument() throws TAMException {
    }
    
    public void startElement(String uri, String localName, String qName, TamAttributes attributes) throws TAMException {
    }
    
    public void warning(TAMException x) throws TAMException {
    }
    
    public void XMLDecl(String version, String encoding, String standalone){
    }
    
}
